RubyGems Navigation menu

rubocop 0.35.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.44.1 - January 25, 2023 (577 KB)
  2. 1.44.0 - January 23, 2023 (577 KB)
  3. 1.43.0 - January 10, 2023 (575 KB)
  4. 1.42.0 - January 01, 2023 (574 KB)
  5. 1.41.1 - December 22, 2022 (571 KB)
  6. 0.35.1 - November 10, 2015 (310 KB)
Show all versions (229 total)

Runtime Dependencies (6):

astrolabe ~> 1.3
parser < 3.0, >= 2.2.3.0
powerpack ~> 0.1
rainbow < 3.0, >= 1.99.1
tins <= 1.6.0

Development Dependencies (5):

bundler ~> 1.3
rake ~> 10.1
rspec ~> 3.3.0
simplecov ~> 0.10
yard ~> 0.8

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

4f0b3ce1e3f9e6bb2b1409a3c49dbf7e4a682b7b083ee5ff20d5cee6846a38bf

Total downloads 294,411,646

For this version 1,583,774

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 1.9.3

New versions require MFA: true

Links: